# Relative paths to "DRAMSys" because this file is included in
# "DRAMSys/DRAMSys.pro"

DISTFILES += tests/start.pl

# DDR:
DISTFILES += tests/DDR3/ci.yml
DISTFILES += tests/DDR3/configs/amconfigs/*
DISTFILES += tests/DDR3/configs/mcconfigs/*
DISTFILES += tests/DDR3/configs/memspecs/*
DISTFILES += tests/DDR3/configs/simulator/*
DISTFILES += tests/DDR3/configs/thermalsim/*
DISTFILES += tests/DDR3/expected/*
DISTFILES += tests/DDR3/scripts/*
DISTFILES += tests/DDR3/simulations/*
DISTFILES += tests/DDR3/traces/*

# simple test
DISTFILES += tests/simple/sim-batch.xml
DISTFILES += tests/simple/fifoStrict.xml
DISTFILES += tests/simple/test.pl
DISTFILES += tests/simple/expected.txt

# error test
DISTFILES += tests/error/sim-batch.xml
DISTFILES += tests/error/test.pl
DISTFILES += tests/error/am_wideio.xml
DISTFILES += tests/error/fr_fcfs.xml
DISTFILES += tests/error/generateErrorTest.pl
DISTFILES += tests/error/WideIO.xml

# timing compliance test
DISTFILES += tests/timing_compliance/sim-batch.xml
DISTFILES += tests/timing_compliance/fifoStrict.xml
DISTFILES += tests/timing_compliance/test.pl

# TLM compliance test
DISTFILES += tests/TLM_compliance/sim-batch.xml
DISTFILES += tests/TLM_compliance/fifoStrict.xml
DISTFILES += tests/TLM_compliance/test.pl

# python continuous testing
DISTFILES += tests/continuous_testing_py/autotest.py
DISTFILES += tests/continuous_testing_py/baseconfig_expected.out
DISTFILES += tests/continuous_testing_py/baseconfig.xml
DISTFILES += tests/continuous_testing_py/memutil.py
